.m-matching-game-6 {
  width: 100%;
  display: flex;
  flex-wrap: wrap;

  .box-table {
    position: relative;
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;

    .left-table{
      width: calc(50% - 1rem);
      margin-right: 2rem;
      border-radius: 8px;
      
      table{
        thead tr{
          th{
            &:nth-child(1){
              width: 175px;
            }
          }
        }
        tbody tr{
          &:not(.action) td{
            &:nth-child(1){
              text-align: center;
            }
            &:nth-child(2){
              height: 60px;
              overflow: hidden;
            }
            &:last-child{
              text-align: right;
              width: 20px;
            }
          }
          &.error{
            border: 1px solid #dd3a09;;
          }
        }
      }
    }
    
    .right-table{
      width: calc(50% - 1rem);
      border-radius: 8px;

      table{
        tbody tr{
          &:not(.action) td{
            &:nth-child(1){
              height: 60px;
              display: flex;
              align-items: center;
              padding: 5px 50px;
            }
          }
        }
        th{
          &:nth-child(2) {
            width: 60px;
          }
        }
      }
    }

    table {
      &:nth-child(1) {
        margin-right: 2rem;
      }

      &:nth-child(2) {
        thead tr th {
          &:nth-child(2) {
            width: 60px;
          }
        }
      }

      thead{
        tr{
          th{
            height: 60px;
            padding: 5px;

            &:first-child{
              padding: 5px 10px;
            }
            &:last-child {
              width: 40px; 
            }
          }
        }
      }

      tbody{
        tr{
          &.mode-example{
            background-color: #e2f6ec;

            .rs-picker-toggle{
              background-color: rgba(61, 196, 125, 0.15) !important;
              .rs-picker-toggle-value{
                color: #67ab8d;
                box-shadow: 0px 1px 0px 0px #67ab8d;
              }
            }
          }
          &.action{
            height: 40px;
            td{
              padding: 15px 10px;
            }
          }
          td{
            input[type='number'] {
              text-align: center;
            }
            .action {
              position: absolute;
              right: 1.4rem;
              top: 50%;
              transform: translateY(-50%);
    
              .ic-action {
                margin: 0 0.4rem;
              }
            }
          }
        }
      }
      
      .image-input-mg6{
          position: relative;
        
          .image-mg6{
            display: flex;
            justify-content: center;
            align-items: center;
            cursor: pointer;

            .image{
              position: relative;
              display: flex;
              width: 50px;
              min-width: 50px;
              height: 50px;
              padding: 1px;
              align-items: center;
              justify-content: space-around;
              border: 1px solid #cecece;
              border-radius: 8px;
              background-color: #fff;

              .image-default{
                display: flex;
                align-items: center;
                width: max-content;
              
                img{
                  width: 100%;
                  height: auto;
                }
              }

              img{
                width: 40px;
                height: 40px;
                border-radius: 5px;
                object-fit: contain; 
              }

              input[type=file]{
                height: 50px;
                width: 50px;
                position: absolute;
                display: none;
              }
            }
          }

          &___isDelete{
            max-width: 17px;
            max-height: 17px;
            position: absolute;
            top: -5px;
            right: -5px;
            cursor: pointer;
            border: unset !important;
          }

          .label-image{
            width: 100%;
            color: #000;
            margin-left: 10px;
          }
      }

      .rs-toggle{
        &.rs-toggle-checked{
          .rs-toggle-presentation{
            background-color: #f8c116;
          }
        }
        .rs-toggle-presentation{
          width: 80px;
          text-align: center;
          background-color: #67ab8d;
        }
        
      }
      .toggle-error{
        .rs-toggle-presentation {
          box-shadow: 0 0 0 0.15rem #dd3a09;
        }
      }
      .rs-picker-toggle{
        &.rs-btn-xs{
          width: 5rem;
          padding-top: 6px !important;
          padding-bottom: 6px !important;
          width: 56px;
        }
      }

      .rs-picker-toggle-value{
        color: #595858;
        font-weight: 500;
        box-shadow: 0px 1px 0px 0px #595858;
        line-height: 1.3rem;
        text-align: center;
        font-size: 13px;
      }
      .order_default{
        .rs-picker-toggle-value{
          box-shadow: none;
        }
      }
    }

    .error-message{
      display: flex;
      flex-direction: column;
      padding: 1rem;

      .__text{
        color: #ff0018;
        margin-top: 0;
        font-size: 1.2rem;
      }
    }
  }
}
